
Robotics Service Bus - Bug #761
RSB is built with profiling instrumentation
12/13/2011 06:38 PM - J. Moringen

Status: Resolved Start date: 12/13/2011
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Packaging Estimated time: 0.00 hour
Target version:
Description

$ rsb_informer 
Elapsed time for 1200 messages sent: 0.07 s
profiling:/home/jenkins:Cannot create directory
profiling:/home/jenkins/workspace/rsb-cpp-trunk/label/ubuntu_lucid_32bit/rsb/build/src/CMakeFiles/rsbcore.dir/rsb/CommException.cpp.gcda:Skip
profiling:/home/jenkins:Cannot create directory
profiling:/home/jenkins/workspace/rsb-cpp
tion.cpp.gcda:Skip
profiling:/home/jenkins:Cannot create directory
profiling:/home/jenkins/workspace/rsb-cpp-trunk/label/ubuntu_lucid_32bit/rsb/build/src/CMakeFiles/rsbcore.dir/rsb/Event.cpp.gcda:Skip
profiling:/home/jenkins:Cannot create directory
[...]

da:Skip
profiling:/home/jenkins:Cannot create directory
[...]

We will probably have to create a separate job that builds RSB in release mode and creates the package.

History
#1 - 12/13/2011 06:42 PM - J. Wienke

I vote for RelWithDebInfo to have meaningful backtraces.

#2 - 12/13/2011 06:46 PM - J. Moringen

(Should have been filed in support.cor-lab.org, sorry)

#3 - 12/29/2011 01:40 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 60

There now is a separate build job for packaging which builds everything with RelWithDebInfo configuration and creates packages.

#4 - 12/29/2011 10:30 PM - J. Wienke

I think this is also required for project:rsc, to get completely rid of this.

#5 - 12/30/2011 11:29 PM - J. Moringen

See # 335 in support.cor-lab.org.
https://ci.cor-lab.de/job/rsb-cpp-trunk-package/
https://support.cor-lab.org/issues/335


#6 - 09/03/2013 10:01 AM - J. Wienke
- Category changed from C++ to Packaging
- Status changed from In Progress to Resolved
- % Done changed from 60 to 100

I think this is solved now. We haven't seen this since a long time and no specific job is stated here as being affected. We can reopen this with specific
jobs in case this still appears.
